aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-aiohttp/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-04-05 13:00:22 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-04-05 13:00:26 +0000
commit0f9fbafb99a7db991b9d2b359b4f295bb2e18017 (patch)
tree70d022e36be6eb4f1a27b50378b917ecccae4609 /testing/py-aiohttp/APKBUILD
parenta24ccd7e959ce745e58b5e0c4dcdb90ea864dbc2 (diff)
downloadaports-0f9fbafb99a7db991b9d2b359b4f295bb2e18017.tar.gz
aports-0f9fbafb99a7db991b9d2b359b4f295bb2e18017.tar.bz2
aports-0f9fbafb99a7db991b9d2b359b4f295bb2e18017.tar.xz
testing/py-aiohttp: new aport
Diffstat (limited to 'testing/py-aiohttp/APKBUILD')
-rw-r--r--testing/py-aiohttp/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/py-aiohttp/APKBUILD b/testing/py-aiohttp/APKBUILD
new file mode 100644
index 0000000000..aae11b9565
--- /dev/null
+++ b/testing/py-aiohttp/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py-aiohttp
+_pkgname=aiohttp
+pkgver=0.21.2
+pkgrel=0
+pkgdesc="HTTP client/server for asyncio"
+url="http://pypi.python.org/pypi/aiohttp"
+arch="all"
+license="APACHE"
+depends="python3 py-chardet"
+depends_dev=""
+makedepends="$depends_dev py-setuptools cython-dev python3-dev"
+install=""
+subpackages="$pkgname-dev"
+source="https://pypi.python.org/packages/source/a/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgname-$pkgver
+build() {
+ cd "$builddir"
+ python3 setup.py build || return
+}
+
+package() {
+ cd "$builddir"
+ python3 setup.py install --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="b53e5d6b3e5961b7119f2f500a20904e aiohttp-0.21.2.tar.gz"
+sha256sums="991e574309815036ca36889a8917005bb795522acd2ba9cc870e07c260c092b5 aiohttp-0.21.2.tar.gz"
+sha512sums="282f249d94056e65615ec153713f99b34071344fc3effb15b376dc26e5db2b5cf189b07c4007e5b73e4e7fcbca7776a075778b778075fb9071fa8cc9dafb4746 aiohttp-0.21.2.tar.gz"